Arbor 3: FSM & BT Graph Editor 3.6.8

Public Member Functions | Public Attributes | Properties | List of all members
RerouteSlot Class Reference

DataBranchの中間点に使用するスロット。 More...

Inheritance diagram for RerouteSlot:

## Public Member Functions
void | SetInputBranch (DataBranch branch)
| DataBranchの設定。 More...
void | RemoveInputBranch (DataBranch branch)
| DataBranchの削除。 More...
DataBranch | GetInputBranch ()
| DataBranchの取得。 More...
bool | IsConnectedInput (DataBranch branch)
| DataBranchと接続しているか判定する。 More...
void | AddOutputBranch (DataBranch branch)
| DataBranchの追加。 More...
void | RemoveOutputBranch (DataBranch branch)
| DataBranchの削除。 More...
int | GetOutputBranchCount ()
| DataBranchの個数を取得。 More...
DataBranch | GetOutputBranch (int index)
| DataBranchの取得。 More...
bool | IsConnectedOutput (DataBranch branch)
| DataBranchと接続しているか判定する。 More...
override void | Disconnect ()
| 接続を切断する。 More...

## Public Attributes
int | inputBranchID
| 入力ブランチのID More...
List< int > | outputBranchIDs = new List<int>()
| 出力ブランチのID More...
ClassTypeReference | type = new ClassTypeReference()
| 接続可能な値の型 More...
Public Attributes inherited from DataSlot
NodeGraph | nodeGraph
| スロットが属しているステートマシン More...
Rect | position
| スロットのArborEditor上の位置(Editor Only) More...

## Properties
override SlotType | slotType`[get]`
| スロットの種類 More...
override System.Type | dataType`[get]`
| スロットに格納されるデータの型 More...
Properties inherited from DataSlot
abstract SlotType | slotType`[get]`
| スロットの種類 More...
abstract System.Type | dataType`[get]`
| スロットに格納されるデータの型 More...

## Additional Inherited Members
Events inherited from DataSlot
System.Action< bool > | onConnectionChanged
| 接続が変更されたときのコールバックイベント More...

## Detailed Description

DataBranchの中間点に使用するスロット。

## Member Function Documentation

## ◆ AddOutputBranch()

void AddOutputBranch | ( | DataBranch | branch | ) |

DataBranchの追加。

Parameters

  branch | DataBranch

Implements IOutputSlot.

## ◆ Disconnect()

override void Disconnect | ( |  | ) |
| virtual

接続を切断する。

Implements DataSlot.

## ◆ GetInputBranch()

DataBranch GetInputBranch | ( |  | ) |

DataBranchの取得。

Returns
  DataBranch

Implements IInputSlot.

## ◆ GetOutputBranch()

DataBranch GetOutputBranch | ( | int | index | ) |

DataBranchの取得。

Parameters

  index | インデックス

Returns
  DataBranch

Implements IOutputSlot.

## ◆ GetOutputBranchCount()

int GetOutputBranchCount | ( |  | ) |

DataBranchの個数を取得。

Returns
  DataBranchの個数

Implements IOutputSlot.

## ◆ IsConnectedInput()

bool IsConnectedInput | ( | DataBranch | branch | ) |

DataBranchと接続しているか判定する。

Parameters

  branch | DataBranch

Returns
  接続している場合にtrue、それ以外はfalse。

Implements IInputSlot.

## ◆ IsConnectedOutput()

bool IsConnectedOutput | ( | DataBranch | branch | ) |

DataBranchと接続しているか判定する。

Parameters

  branch | DataBranch

Returns
  接続している場合にtrue、それ以外はfalse。

Implements IOutputSlot.

## ◆ RemoveInputBranch()

void RemoveInputBranch | ( | DataBranch | branch | ) |

DataBranchの削除。

Parameters

  branch | DataBranch

Implements IInputSlot.

## ◆ RemoveOutputBranch()

void RemoveOutputBranch | ( | DataBranch | branch | ) |

DataBranchの削除。

Parameters

  branch | DataBranch

Implements IOutputSlot.

## ◆ SetInputBranch()

void SetInputBranch | ( | DataBranch | branch | ) |

DataBranchの設定。

Parameters

  branch | DataBranch

Implements IInputSlot.

## Member Data Documentation

## ◆ inputBranchID

int inputBranchID

入力ブランチのID

## ◆ outputBranchIDs

List<int> outputBranchIDs = new List<int>()

出力ブランチのID

## ◆ type

ClassTypeReference type = new ClassTypeReference()

接続可能な値の型

## Property Documentation

## ◆ dataType

override System.Type dataType
| get

スロットに格納されるデータの型

## ◆ slotType

override SlotType slotType
| get

スロットの種類